VTK: vtkAngleWidget Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
vtkAngleWidget Class Reference

measure the angle between two rays (defined by three points) More...

`#include <vtkAngleWidget.h>`

Inheritance diagram for vtkAngleWidget:
[legend]
Collaboration diagram for vtkAngleWidget:
[legend]

## Public Types
enum | { Start = 0 , Define , Manipulate }
| Enum defining the state of the widget. More...
Public Types inherited from vtkAbstractWidget
typedef vtkInteractorObserver | Superclass
| Standard macros implementing standard VTK methods. More...
Public Types inherited from vtkInteractorObserver
typedef vtkObject | Superclass

## Public Member Functions
void | SetEnabled (int) override
| The method for activating and deactivating this widget. More...
void | SetRepresentation (vtkAngleRepresentation *r)
| Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
void | CreateDefaultRepresentation () override
| Create the default widget representation if one is not set. More...
vtkAngleRepresentation * | GetAngleRepresentation ()
| Return the representation as a vtkAngleRepresentation. More...
vtkTypeBool | IsAngleValid ()
| A flag indicates whether the angle is valid. More...
void | SetProcessEvents (vtkTypeBool) override
| Methods to change the whether the widget responds to interaction. More...
virtual int | GetWidgetState ()
| Return the current widget state. More...
virtual void | SetWidgetStateToStart ()
| Set the state of the widget. More...
virtual void | SetWidgetStateToManipulate ()
| Set the state of the widget. More...
Public Member Functions inherited from vtkAbstractWidget
vtkWidgetEventTranslator * | GetEventTranslator ()
| Get the event translator. More...
void | Render ()
| This method is called by subclasses when a render method is to be invoked on the vtkRenderWindowInteractor. More...
void | SetParent (vtkAbstractWidget *parent)
| Specifying a parent to this widget is used when creating composite widgets. More...
virtual vtkAbstractWidget * | GetParent ()
void | SetPriority (float) override
| Override the superclass method. More...
virtual vtkTypeBool | GetProcessEvents ()
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOn ()
| Methods to change whether the widget responds to interaction. More...
virtual void | ProcessEventsOff ()
| Methods to change whether the widget responds to interaction. More...
vtkWidgetRepresentation * | GetRepresentation ()
| Return an instance of vtkWidgetRepresentation used to represent this widget in the scene. More...
virtual void | SetManagesCursor (vtkTypeBool)
| Turn on or off the management of the cursor. More...
virtual vtkTypeBool | GetManagesCursor ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOn ()
| Turn on or off the management of the cursor. More...
virtual void | ManagesCursorOff ()
| Turn on or off the management of the cursor. More...
vtkAbstractWidget * | NewInstance () const
| Standard macros implementing standard VTK methods. More...
Public Member Functions inherited from vtkInteractorObserver
vtkInteractorObserver * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
int | GetEnabled ()
void | EnabledOn ()
void | EnabledOff ()
void | On ()
void | Off ()
virtual void | OnChar ()
| Sets up the keypress-i event. More...
virtual void | SetInteractor (vtkRenderWindowInteractor *iren)
| This method is used to associate the widget with the render window interactor. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| This method is used to associate the widget with the render window interactor. More...
virtual float | GetPriority ()
| Set/Get the priority at which events are processed. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetKeyPressActivation (vtkTypeBool)
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual vtkTypeBool | GetKeyPressActivation ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOn ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | KeyPressActivationOff ()
| Enable/Disable of the use of a keypress to turn on and off the interactor observer. More...
virtual void | SetKeyPressActivationValue (char)
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual char | GetKeyPressActivationValue ()
| Specify which key press value to use to activate the interactor observer (if key press activation is enabled). More...
virtual vtkRenderer * | GetDefaultRenderer ()
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual void | SetDefaultRenderer (vtkRenderer *)
| Set/Get the default renderer to use when activating the interactor observer. More...
virtual vtkRenderer * | GetCurrentRenderer ()
| Set/Get the current renderer. More...
virtual void | SetCurrentRenderer (vtkRenderer *)
| Set/Get the current renderer. More...
void | GrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
void | ReleaseFocus ()
| These methods enable an interactor observer to exclusively grab all events invoked by its associated vtkRenderWindowInteractor. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkAngleWidget * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkAbstractWidget
static vtkTypeBool | IsTypeOf (const char *type)
| Standard macros implementing standard VTK methods. More...
static vtkAbstractWidget * | SafeDownCast (vtkObjectBase *o)
| Standard macros implementing standard VTK methods. More...
Static Public Member Functions inherited from vtkInteractorObserver
static vtkTypeBool | IsTypeOf (const char *type)
static vtkInteractorObserver * | SafeDownCast (vtkObjectBase *o)
static void | ComputeDisplayToWorld (vtkRenderer *ren, double x, double y, double z, double worldPt[4])
| Convenience methods for outside classes. More...
static void | ComputeWorldToDisplay (vtkRenderer *ren, double x, double y, double z, double displayPt[3])
| Convenience methods for outside classes. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkAngleWidget ()
| ~vtkAngleWidget () override
void | StartAngleInteraction (int handleNum)
void | AngleInteraction (int handleNum)
void | EndAngleInteraction (int handleNum)
Protected Member Functions inherited from vtkAbstractWidget
| vtkAbstractWidget ()
| ~vtkAbstractWidget () override
void | SetWidgetRepresentation (vtkWidgetRepresentation *r)
virtual void | SetCursor (int vtkNotUsed(state))
Protected Member Functions inherited from vtkInteractorObserver
| vtkInteractorObserver ()
| ~vtkInteractorObserver () override
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the observer currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the picker, and return the assembly path. More...
int | RequestCursorShape (int requestedShape)
virtual void | StartInteraction ()
| Utility routines used to start and end interaction. More...
virtual void | EndInteraction ()
| Utility routines used to start and end interaction. More...
void | ComputeDisplayToWorld (double x, double y, double z, double worldPt[4])
| Helper method for subclasses. More...
void | ComputeWorldToDisplay (double x, double y, double z, double displayPt[3])
| Helper method for subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Static Protected Member Functions
static void | AddPointAction (vtkAbstractWidget *)
static void | MoveAction (vtkAbstractWidget *)
static void | EndSelectAction (vtkAbstractWidget *)
Static Protected Member Functions inherited from vtkAbstractWidget
static void | ProcessEventsHandler (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
Static Protected Member Functions inherited from vtkInteractorObserver
static void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
| Handles the char widget activation event. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Protected Attributes
int | WidgetState
int | CurrentHandle
vtkHandleWidget * | Point1Widget
vtkHandleWidget * | CenterWidget
vtkHandleWidget * | Point2Widget
vtkAngleWidgetCallback * | AngleWidgetCallback1
vtkAngleWidgetCallback * | AngleWidgetCenterCallback
vtkAngleWidgetCallback * | AngleWidgetCallback2
Protected Attributes inherited from vtkAbstractWidget
vtkWidgetRepresentation * | WidgetRep
vtkTypeBool | ManagesCursor
vtkWidgetEventTranslator * | EventTranslator
vtkWidgetCallbackMapper * | CallbackMapper
vtkAbstractWidget * | Parent
void * | CallData
vtkTypeBool | ProcessEvents
int | LastDevice
Protected Attributes inherited from vtkInteractorObserver
int | Enabled
vtkCallbackCommand * | EventCallbackCommand
vtkCallbackCommand * | KeyPressCallbackCommand
float | Priority
bool | PickingManaged
vtkTypeBool | KeyPressActivation
char | KeyPressActivationValue
vtkRenderWindowInteractor * | Interactor
vtkRenderer * | CurrentRenderer
vtkRenderer * | DefaultRenderer
unsigned long | CharObserverTag
unsigned long | DeleteObserverTag
vtkObserverMediator * | ObserverMediator
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkAngleWidgetCallback
typedef vtkAbstractWidget | Superclass
| Standard methods for a VTK class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for a VTK class. More...
static vtkAngleWidget * | SafeDownCast (vtkObjectBase *o)
| Standard methods for a VTK class. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for a VTK class. More...
vtkAngleWidget * | NewInstance () const
| Standard methods for a VTK class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for a VTK class. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for a VTK class. More...

## Detailed Description

measure the angle between two rays (defined by three points)

The vtkAngleWidget is used to measure the angle between two rays (defined by three points). The three points (two end points and a center) can be positioned independently, and when they are released, a special PlacePointEvent is invoked so that special operations may be take to reposition the point (snap to grid, etc.) The widget has two different modes of interaction: when initially defined (i.e., placing the three points) and then a manipulate mode (adjusting the position of the three points).

To use this widget, specify an instance of vtkAngleWidget and a representation (a subclass of vtkAngleRepresentation). The widget is implemented using three instances of vtkHandleWidget which are used to position the three points. The representations for these handle widgets are provided by the vtkAngleRepresentation.

Event Bindings:
  By default, the widget responds to the following VTK events (i.e., it watches the vtkRenderWindowInteractor for these events):

        LeftButtonPressEvent - add a point or select a handle
        MouseMoveEvent - position the second or third point, or move a handle
        LeftButtonReleaseEvent - release the selected handle

Event Bindings:
  Note that the event bindings described above can be changed using this class's vtkWidgetEventTranslator. This class translates VTK events into the vtkAngleWidget's widget events:

        vtkWidgetEvent::AddPoint -- add one point; depending on the state
                                    it may the first, second or third point
                                    added. Or, if near a handle, select the handle.
        vtkWidgetEvent::Move -- position the second or third point, or move the
                                handle depending on the state.
        vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.

Event Bindings:
  This widget invokes the following VTK events on itself (which observers can listen for):

        vtkCommand::StartInteractionEvent (beginning to interact)
        vtkCommand::EndInteractionEvent (completing interaction)
        vtkCommand::InteractionEvent (moving a handle)
        vtkCommand::PlacePointEvent (after a point is positioned;
                                     call data includes handle id (0,1,2))

See also
  vtkHandleWidget vtkDistanceWidget

Events:
  vtkCommand::DisableEvent vtkCommand::EnableEvent vtkCommand::EndInteractionEvent vtkCommand::InteractionEvent vtkCommand::LeftButtonPressEvent vtkCommand::LeftButtonReleaseEvent vtkCommand::MouseMoveEvent vtkCommand::PlacePointEvent vtkCommand::StartInteractionEvent

Online Examples:

Tests:
  vtkAngleWidget (Tests)

Definition at line 85 of file vtkAngleWidget.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAbstractWidget vtkAngleWidget::Superclass

Standard methods for a VTK class.

Definition at line 97 of file vtkAngleWidget.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enum defining the state of the widget.

By default the widget is in Start mode, and expects to be interactively placed. While placing the points the widget transitions to Define state. Once placed, the widget enters the Manipulate state.

Enumerator
Start |
Define |
Manipulate |

Definition at line 149 of file vtkAngleWidget.h.

## Constructor & Destructor Documentation

## ◆ vtkAngleWidget()

vtkAngleWidget::vtkAngleWidget | ( |  | ) |
| protected

## ◆ ~vtkAngleWidget()

vtkAngleWidget::~vtkAngleWidget | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkAngleWidget* vtkAngleWidget::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkAngleWidget::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for a VTK class.

## ◆ IsA()

virtual vtkTypeBool vtkAngleWidget::IsA | ( | const char * | type | ) |
| virtual

Standard methods for a VTK class.

Reimplemented from vtkAbstractWidget.

## ◆ SafeDownCast()

static vtkAngleWidget* vtkAngleWidget::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for a VTK class.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkAngleWidget::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for a VTK class.

Reimplemented from vtkAbstractWidget.

## ◆ NewInstance()

vtkAngleWidget* vtkAngleWidget::NewInstance | ( |  | ) | const

Standard methods for a VTK class.

## ◆ PrintSelf()

void vtkAngleWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for a VTK class.

Reimplemented from vtkAbstractWidget.

## ◆ SetEnabled()

void vtkAngleWidget::SetEnabled | ( | int |  | ) |
| overridevirtual

The method for activating and deactivating this widget.

This method must be overridden because it is a composite widget and does more than its superclasses' vtkAbstractWidget::SetEnabled() method.

Reimplemented from vtkAbstractWidget.

## ◆ SetRepresentation()

void vtkAngleWidget::SetRepresentation | ( | vtkAngleRepresentation * | r | ) |
| inline

Specify an instance of vtkWidgetRepresentation used to represent this widget in the scene.

Note that the representation is a subclass of vtkProp so it can be added to the renderer independent of the widget.

Definition at line 113 of file vtkAngleWidget.h.

## ◆ CreateDefaultRepresentation()

void vtkAngleWidget::CreateDefaultRepresentation | ( |  | ) |
| overridevirtual

Create the default widget representation if one is not set.

Implements vtkAbstractWidget.

## ◆ GetAngleRepresentation()

vtkAngleRepresentation* vtkAngleWidget::GetAngleRepresentation | ( |  | ) |
| inline

Return the representation as a vtkAngleRepresentation.

Definition at line 126 of file vtkAngleWidget.h.

## ◆ IsAngleValid()

vtkTypeBool vtkAngleWidget::IsAngleValid | ( |  | ) |

A flag indicates whether the angle is valid.

The angle value only becomes valid after two of the three points are placed.

## ◆ SetProcessEvents()

void vtkAngleWidget::SetProcessEvents | ( | vtkTypeBool |  | ) |
| overridevirtual

Methods to change the whether the widget responds to interaction.

Overridden to pass the state to component widgets.

Reimplemented from vtkAbstractWidget.

## ◆ SetWidgetStateToStart()

virtual void vtkAngleWidget::SetWidgetStateToStart | ( |  | ) |
| virtual

Set the state of the widget.

If the state is set to "Manipulate" then it is assumed that the widget and its representation will be initialized programmatically and is not interactively placed. Initially the widget state is set to "Start" which means nothing will appear and the user must interactively place the widget with repeated mouse selections. Set the state to "Start" if you want interactive placement. Generally state changes must be followed by a Render() for things to visually take effect.

## ◆ SetWidgetStateToManipulate()

virtual void vtkAngleWidget::SetWidgetStateToManipulate | ( |  | ) |
| virtual

Set the state of the widget.

If the state is set to "Manipulate" then it is assumed that the widget and its representation will be initialized programmatically and is not interactively placed. Initially the widget state is set to "Start" which means nothing will appear and the user must interactively place the widget with repeated mouse selections. Set the state to "Start" if you want interactive placement. Generally state changes must be followed by a Render() for things to visually take effect.

## ◆ GetWidgetState()

virtual int vtkAngleWidget::GetWidgetState | ( |  | ) |
| inlinevirtual

Return the current widget state.

Definition at line 174 of file vtkAngleWidget.h.

## ◆ AddPointAction()

static void vtkAngleWidget::AddPointAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ MoveAction()

static void vtkAngleWidget::MoveAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ EndSelectAction()

static void vtkAngleWidget::EndSelectAction | ( | vtkAbstractWidget * |  | ) |
| staticprotected

## ◆ StartAngleInteraction()

void vtkAngleWidget::StartAngleInteraction | ( | int | handleNum | ) |
| protected

## ◆ AngleInteraction()

void vtkAngleWidget::AngleInteraction | ( | int | handleNum | ) |
| protected

## ◆ EndAngleInteraction()

void vtkAngleWidget::EndAngleInteraction | ( | int | handleNum | ) |
| protected

## Friends And Related Function Documentation

## ◆ vtkAngleWidgetCallback

friend class vtkAngleWidgetCallback
| friend

Definition at line 204 of file vtkAngleWidget.h.

## Member Data Documentation

## ◆ WidgetState

int vtkAngleWidget::WidgetState
| protected

Definition at line 181 of file vtkAngleWidget.h.

## ◆ CurrentHandle

int vtkAngleWidget::CurrentHandle
| protected

Definition at line 182 of file vtkAngleWidget.h.

## ◆ Point1Widget

vtkHandleWidget* vtkAngleWidget::Point1Widget
| protected

Definition at line 191 of file vtkAngleWidget.h.

## ◆ CenterWidget

vtkHandleWidget* vtkAngleWidget::CenterWidget
| protected

Definition at line 192 of file vtkAngleWidget.h.

## ◆ Point2Widget

vtkHandleWidget* vtkAngleWidget::Point2Widget
| protected

Definition at line 193 of file vtkAngleWidget.h.

## ◆ AngleWidgetCallback1

vtkAngleWidgetCallback* vtkAngleWidget::AngleWidgetCallback1
| protected

Definition at line 194 of file vtkAngleWidget.h.

## ◆ AngleWidgetCenterCallback

vtkAngleWidgetCallback* vtkAngleWidget::AngleWidgetCenterCallback
| protected

Definition at line 195 of file vtkAngleWidget.h.

## ◆ AngleWidgetCallback2

vtkAngleWidgetCallback* vtkAngleWidget::AngleWidgetCallback2
| protected

Definition at line 196 of file vtkAngleWidget.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkAngleWidget.h